    Program a02abfe

!     A02ABF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: a02abf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: xi, xr, y
!     .. Executable Statements ..
      Write (nout,*) 'A02ABF Example Program Results'

!     Skip heading in data file
      Read (nin,*)

      Read (nin,*) xr, xi

!     Return absolute value of (XR,XI)

      y = a02abf(xr,xi)

      Write (nout,*)
      Write (nout,*) '   XR    XI       Y'
      Write (nout,99999) xr, xi, y

99999 Format (1X,2F6.1,F9.4)
    End Program a02abfe
